Get one project with resource counts
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid} \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"project": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "webhook",
"ip_allowlist": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"counts": {
"webhooks": 123,
"rules": 123,
"ingest_keys": 123,
"destinations": 123,
"sources": 123,
"triggers": 123
}
}
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Projects
Get one project with resource counts
Readable by any role.
GET
/
admin
/
api
/
projects
/
{pid}
Get one project with resource counts
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid} \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"project": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "webhook",
"ip_allowlist": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"counts": {
"webhooks": 123,
"rules": 123,
"ingest_keys": 123,
"destinations": 123,
"sources": 123,
"triggers": 123
}
}
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Project id (UUID) belonging to the caller workspace.
Response
The project plus per-resource counts for the tabbed view.
Show child attributes
Show child attributes